## empathy-avatar

empathy-avatar

## Synopsis

    #define             EMPATHY_TYPE_AVATAR
                        EmpathyAvatar;
    GType               empathy_avatar_get_type             (void);
    EmpathyAvatar*      empathy_avatar_new                  (const guchar *avatar,
                                                             const gsize len,
                                                             const gchar *format,
                                                             const gchar *token);
    EmpathyAvatar*      empathy_avatar_new_from_cache       (const gchar *token);
    EmpathyAvatar*      empathy_avatar_ref                  (EmpathyAvatar *avatar);
    void                empathy_avatar_unref                (EmpathyAvatar *avatar);

## Description

## Details

### EMPATHY_TYPE_AVATAR

    #define EMPATHY_TYPE_AVATAR (empathy_avatar_get_type ())

### EmpathyAvatar

    typedef struct {
    	guchar *data;
    	gsize   len;
    	gchar  *format;
    	gchar  *token;
    	guint   refcount;
    } EmpathyAvatar;

### empathy_avatar_get_type ()

    GType               empathy_avatar_get_type             (void);

Returns : |

### empathy_avatar_new ()

    EmpathyAvatar*      empathy_avatar_new                  (const guchar *avatar,
                                                             const gsize len,
                                                             const gchar *format,
                                                             const gchar *token);

`avatar` : |
`len` : |
`format` : |
`token` : |
Returns : |

### empathy_avatar_new_from_cache ()

    EmpathyAvatar*      empathy_avatar_new_from_cache       (const gchar *token);

`token` : |
Returns : |

### empathy_avatar_ref ()

    EmpathyAvatar*      empathy_avatar_ref                  (EmpathyAvatar *avatar);

`avatar` : |
Returns : |

### empathy_avatar_unref ()

    void                empathy_avatar_unref                (EmpathyAvatar *avatar);

`avatar` : |